Package uk.ac.starlink.datanode.nodes

# Class DataObjectException

java.lang.Object
java.lang.Throwable
java.lang.Exception
uk.ac.starlink.datanode.nodes.DataObjectException

All Implemented Interfaces:
  `Serializable`

public class DataObjectException extends Exception
Exception thrown when a data object which was expected to be present cannot be supplied.

Since:
  19 Jan 2005
Author:
  Mark Taylor (Starlink)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DataObjectException(String msg)`
`DataObjectException(String msg, Throwable th)`
`DataObjectException(Throwable th)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DataObjectException

public DataObjectException(String msg)

### DataObjectException

public DataObjectException(String msg, Throwable th)

### DataObjectException

public DataObjectException(Throwable th)